BufferCell (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.rows

## Class BufferCell

- java.lang.Object
- - org.apache.cassandra.db.rows.ColumnData
  - - org.apache.cassandra.db.rows.Cell
    - - org.apache.cassandra.db.rows.AbstractCell
      - - org.apache.cassandra.db.rows.BufferCell

-     public class BufferCell
      extends AbstractCell

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.rows.Cell

      `comparator, MAX_DELETION_TIME, NO_DELETION_TIME, NO_TTL, serializer`

    - ### Fields inherited from class org.apache.cassandra.db.rows.ColumnData

      `column`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferCell(ColumnDefinition column, long timestamp, int ttl, int localDeletionTime, java.nio.ByteBuffer value, CellPath path)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cell` | `copy(AbstractAllocator allocator)`
    `static BufferCell` | `expiring(ColumnDefinition column, long timestamp, int ttl, int nowInSec, java.nio.ByteBuffer value)`
    `static BufferCell` | `expiring(ColumnDefinition column, long timestamp, int ttl, int nowInSec, java.nio.ByteBuffer value, CellPath path)`
    `static BufferCell` | `live(ColumnDefinition column, long timestamp, java.nio.ByteBuffer value)`
    `static BufferCell` | `live(ColumnDefinition column, long timestamp, java.nio.ByteBuffer value, CellPath path)`
    `int` | `localDeletionTime()` The cell local deletion time.
    `CellPath` | `path()` For cells belonging to complex types (non-frozen collection and UDT), the path to the cell.
    `long` | `timestamp()` The cell timestamp.
    `static BufferCell` | `tombstone(ColumnDefinition column, long timestamp, int nowInSec)`
    `static BufferCell` | `tombstone(ColumnDefinition column, long timestamp, int nowInSec, CellPath path)`
    `int` | `ttl()` The cell ttl.
    `long` | `unsharedHeapSizeExcludingData()`
    `java.nio.ByteBuffer` | `value()` The cell value.
    `Cell` | `withUpdatedColumn(ColumnDefinition newColumn)`
    `Cell` | `withUpdatedTimestampAndLocalDeletionTime(long newTimestamp, int newLocalDeletionTime)`
    `Cell` | `withUpdatedValue(java.nio.ByteBuffer newValue)`

    - ### Methods inherited from class org.apache.cassandra.db.rows.AbstractCell

      `dataSize, digest, equals, hashCode, isCounterCell, isExpiring, isLive, isTombstone, markCounterLocalToBeCleared, maxTimestamp, purge, toString, updateAllTimestamp, validate`

    - ### Methods inherited from class org.apache.cassandra.db.rows.ColumnData

      `column`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferCell

          public BufferCell(ColumnDefinition column,
                            long timestamp,
                            int ttl,
                            int localDeletionTime,
                            java.nio.ByteBuffer value,
                            CellPath path)

  - ### Method Detail

    - #### live

          public static BufferCell live(ColumnDefinition column,
                                        long timestamp,
                                        java.nio.ByteBuffer value)

    - #### live

          public static BufferCell live(ColumnDefinition column,
                                        long timestamp,
                                        java.nio.ByteBuffer value,
                                        CellPath path)

    - #### expiring

          public static BufferCell expiring(ColumnDefinition column,
                                            long timestamp,
                                            int ttl,
                                            int nowInSec,
                                            java.nio.ByteBuffer value)

    - #### expiring

          public static BufferCell expiring(ColumnDefinition column,
                                            long timestamp,
                                            int ttl,
                                            int nowInSec,
                                            java.nio.ByteBuffer value,
                                            CellPath path)

    - #### tombstone

          public static BufferCell tombstone(ColumnDefinition column,
                                             long timestamp,
                                             int nowInSec)

    - #### tombstone

          public static BufferCell tombstone(ColumnDefinition column,
                                             long timestamp,
                                             int nowInSec,
                                             CellPath path)

    - #### timestamp

          public long timestamp()

      Description copied from class: `Cell`
      The cell timestamp.

      Specified by:
        `timestamp` in class `Cell`
      Returns:
        the cell timestamp.

    - #### ttl

          public int ttl()

      Description copied from class: `Cell`
      The cell ttl.
      Specified by:
        `ttl` in class `Cell`
      Returns:
        the cell ttl, or `NO_TTL` if the cell isn't an expiring one.

    - #### localDeletionTime

          public int localDeletionTime()

      Description copied from class: `Cell`
      The cell local deletion time.
      Specified by:
        `localDeletionTime` in class `Cell`
      Returns:
        the cell local deletion time, or `NO_DELETION_TIME` if the cell is neither a tombstone nor an expiring one.

    - #### value

          public java.nio.ByteBuffer value()

      Description copied from class: `Cell`
      The cell value.
      Specified by:
        `value` in class `Cell`
      Returns:
        the cell value.

    - #### path

          public CellPath path()

      Description copied from class: `Cell`
      For cells belonging to complex types (non-frozen collection and UDT), the path to the cell.
      Specified by:
        `path` in class `Cell`
      Returns:
        the cell path for cells of complex column, and `null` for other cells.

    - #### withUpdatedColumn

          public Cell withUpdatedColumn(ColumnDefinition newColumn)

      Specified by:
        `withUpdatedColumn` in class `Cell`

    - #### withUpdatedValue

          public Cell withUpdatedValue(java.nio.ByteBuffer newValue)

      Specified by:
        `withUpdatedValue` in class `Cell`

    - #### withUpdatedTimestampAndLocalDeletionTime

          public Cell withUpdatedTimestampAndLocalDeletionTime(long newTimestamp,
                                                               int newLocalDeletionTime)

      Specified by:
        `withUpdatedTimestampAndLocalDeletionTime` in class `Cell`

    - #### copy

          public Cell copy(AbstractAllocator allocator)

      Overrides:
        `copy` in class `AbstractCell`

    - #### unsharedHeapSizeExcludingData

          public long unsharedHeapSizeExcludingData()

      Specified by:
        `unsharedHeapSizeExcludingData` in class `ColumnData`

Copyright © 2018 The Apache Software Foundation